# Class DoubleParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Double>
uk.ac.starlink.task.DoubleParameter

public class DoubleParameter extends Parameter<Double>
Parameter representing a double precision number.

Author:
  Mark Taylor

## Field Summary

### Fields inherited from class Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`DoubleParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`doubleValue(Environment env)`
Returns the value of this parameter as a `double`.
`void`
`setDoubleDefault(double dflt)`
Sets the default value as a floating point value.
`void`
`setMaximum(double max, boolean inclusive)`
Sets the maximum acceptable value for this parameter.
`void`
`setMinimum(double min, boolean inclusive)`
Sets the minimum acceptable value for this parameter.
`void`
`setValueFromString(Environment env, String stringval)`
As a special case, setting the value of this parameter with a null or empty string will result in a NaN value.
`Double`
`stringToObject(Environment env, String stringval)`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

### Methods inherited from class Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleParameter

public DoubleParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### doubleValue

public double doubleValue(Environment env) throws TaskException
Returns the value of this parameter as a `double`. A null string value, if permitted, will give a NaN result.

Parameters:
  `env` - execution environment
Returns:
  double value
Throws:
  `TaskException`

### setDoubleDefault

public void setDoubleDefault(double dflt)
Sets the default value as a floating point value.

Parameters:
  `dflt` - new default value

### setMinimum

public void setMinimum(double min, boolean inclusive)
Sets the minimum acceptable value for this parameter.

Parameters:
  `min` - minimum value
  `inclusive` - true iff `min` itself is permitted

### setMaximum

public void setMaximum(double max, boolean inclusive)
Sets the maximum acceptable value for this parameter.

Parameters:
  `max` - maximum value
  `inclusive` - true iff `max` itself is permitted

### stringToObject

public Double stringToObject(Environment env, String stringval) throws TaskException
Description copied from class: `Parameter`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

It is an error to supply a null or empty string value.

If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

Specified by:
  `stringToObject` in class `Parameter<Double>`
Parameters:
  `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
  `stringval` - non-null, non-empty string value
Returns:
  typed value
Throws:
  `TaskException`

### setValueFromString

public void setValueFromString(Environment env, String stringval) throws TaskException
As a special case, setting the value of this parameter with a null or empty string will result in a NaN value.

Overrides:
  `setValueFromString` in class `Parameter<Double>`
Parameters:
  `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
  `stringval` - string representation of value
Throws:
  `TaskException`